# Record Class StDBDeviceGetByIDParameters

java.lang.Object
java.lang.Record
com.io7m.stonesignal.server.database.StDBDeviceGetByIDParameters

Record Components:
  `deviceId` - The device ID
  `includeKey` - Whether to include the key

public record StDBDeviceGetByIDParameters(UUID deviceId, boolean includeKey) extends Record
device-get-by-id parameters.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `StDBDeviceGetByIDParameters(UUID deviceId, boolean includeKey)`
  device-get-by-id parameters.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `UUID`
  `deviceId()`
  Returns the value of the `deviceId` record component.
  `final boolean`
  `equals(Object o)`
  Indicates whether some other object is "equal to" this one.
  `final int`
  `hashCode()`
  Returns a hash code value for this object.
  `boolean`
  `includeKey()`
  Returns the value of the `includeKey` record component.
  `final String`
  `toString()`
  Returns a string representation of this record class.

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### StDBDeviceGetByIDParameters

    public StDBDeviceGetByIDParameters(UUID deviceId, boolean includeKey)
    device-get-by-id parameters.
    Parameters:
      `deviceId` - The device ID
      `includeKey` - Whether to include the key

- ## Method Details

  - ### toString

    public final String toString()
    Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.
    Specified by:
      `toString` in class `Record`
    Returns:
      a string representation of this object

  - ### hashCode

    public final int hashCode()
    Returns a hash code value for this object. The value is derived from the hash code of each of the record components.
    Specified by:
      `hashCode` in class `Record`
    Returns:
      a hash code value for this object

  - ### equals

    public final boolean equals(Object o)
    Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. Reference components are compared with `Objects::equals(Object,Object)`; primitive components are compared with the `compare` method from their corresponding wrapper classes.
    Specified by:
      `equals` in class `Record`
    Parameters:
      `o` - the object with which to compare
    Returns:
      `true` if this object is the same as the `o` argument; `false` otherwise.

  - ### deviceId

    public UUID deviceId()
    Returns the value of the `deviceId` record component.
    Returns:
      the value of the `deviceId` record component

  - ### includeKey

    public boolean includeKey()
    Returns the value of the `includeKey` record component.
    Returns:
      the value of the `includeKey` record component